org.eclipse.actf.visualization.eval.problem

## Interface IProblemItemImage

All Superinterfaces:
  ILowvisionProblemSubtype, IPositionSize, IProblemItem

    public interface IProblemItemImage
    extends IProblemItem, IPositionSize, ILowvisionProblemSubtype

Interface to store image related information in addition to `IProblemItem`

### Field Summary

Fields
`static int` `ICON_BLUR`
`static int` `ICON_COLOR`

### Fields inherited from interface org.eclipse.actf.visualization.eval.problem.IProblemItem

`SEV_ERROR, SEV_INFO, SEV_USER, SEV_WARNING`

### Fields inherited from interface org.eclipse.actf.visualization.eval.problem.ILowvisionProblemSubtype

`LOWVISION_BACKGROUND_IMAGE_WARNING, LOWVISION_BLUR_PROBLEM, LOWVISION_COLOR_PROBLEM, LOWVISION_FIXED_SIZE_FONT_PROBLEM, LOWVISION_FIXED_SMALL_FONT_PROBLEM, LOWVISION_IMAGE_COLOR_PROBLEM, LOWVISION_PROHIBITED_BACKGROUND_COLOR_PROBLEM, LOWVISION_PROHIBITED_BOTH_COLORS_PROBLEM, LOWVISION_PROHIBITED_FOREGROUND_COLOR_PROBLEM, LOWVISION_SMALL_FONT_PROBLEM`

### Method Summary

Methods
`String` `getBackground()`
`String` `getForeground()`
`int` `getFrameId()`
`int` `getFrameOffset()`
`String` `getFrameUrl()`
`int` `getIconId()`
`org.eclipse.swt.graphics.Image` `getIconImage()`
`String` `getIconTooltip()`
`int` `getSeverityLV()`
`void` `setArea(int area)` Set area of the problem
`void` `setBackground(String backgroundS)` Set background
`void` `setForeground(String foregroundS)` Set foreground
`void` `setFrameId(int frameId)` Set frame ID
`void` `setFrameOffset(int frameOffset)` Set frame offset
`void` `setFrameUrl(String frameUrlS)` Set target frane URL
`void` `setSeverityLV(int severityLV)` Set severity value (from 0 to 100)

### Methods inherited from interface org.eclipse.actf.visualization.eval.problem.IProblemItem

`accept, getDescription, getEvaluationItem, getHighlightTargetIds, getHighlightTargetNodeInfo, getHighlightTargetSoruceInfo, getId, getLine, getLineStr, getLineStrMulti, getMetricsIcons, getMetricsScores, getSerialNumber, getSeverity, getSeverityStr, getSubType, getTableDataGuideline, getTargetNode, getTargetString, getTargetStringForExport, isCanHighlight, setCanHighlight, setDescription, setEvaluationItem, setHighlightTargetIds, setHighlightTargetIds, setHighlightTargetNodeInfo, setHighlightTargetSourceInfo, setHighlightTargetSourceInfo, setLine, setSerialNumber, setSubType, setTargetNode, setTargetString, setTargetStringForExport`

### Methods inherited from interface org.eclipse.actf.visualization.ui.IPositionSize

`getArea, getHeight, getWidth, getX, getY, setHeight, setWidth, setX, setY`

### Field Detail

#### ICON_COLOR

    static final int ICON_COLOR

See Also:
  Constant Field Values

#### ICON_BLUR

    static final int ICON_BLUR

See Also:
  Constant Field Values

### Method Detail

#### getBackground

    String getBackground()

Returns:
  background

#### getForeground

    String getForeground()

Returns:
  foreground

#### getFrameId

    int getFrameId()

Returns:
  frame ID

#### getFrameOffset

    int getFrameOffset()

Returns:
  frame offset

#### getFrameUrl

    String getFrameUrl()

Returns:
  frame URL

#### getIconId

    int getIconId()

Returns:
  ID of problem icon

#### getIconImage

    org.eclipse.swt.graphics.Image getIconImage()

Returns:
  problem icon as `Image`

#### getIconTooltip

    String getIconTooltip()

Returns:
  tooltip text for problem icon

#### getSeverityLV

    int getSeverityLV()

Returns:
  severity value (from 0 to 100)

#### setArea

    void setArea(int area)

Set area of the problem

Parameters:
  `area` - target area size

#### setBackground

    void setBackground(String backgroundS)

Set background

Parameters:
  `backgroundS` - target background

#### setForeground

    void setForeground(String foregroundS)

Set foreground

Parameters:
  `foregroundS` - target foreground

#### setFrameId

    void setFrameId(int frameId)

Set frame ID

Parameters:
  `frameId` - target frame ID

#### setFrameOffset

    void setFrameOffset(int frameOffset)

Set frame offset

Parameters:
  `frameOffset` - target frame offset

#### setFrameUrl

    void setFrameUrl(String frameUrlS)

Set target frane URL

Parameters:
  `frameUrlS` - target frame URL

#### setSeverityLV

    void setSeverityLV(int severityLV)

Set severity value (from 0 to 100)

Parameters:
  `severityLV` -